// Liquid3D - Moteur 3D C++ NDS par Morukutsu
// Surcouche de l'ulibrary de Brunni
// Version alpha 1

#include "../L3DTypes.h"
#include "CSceneNode.h"
#include <ulib/ulib.h>
#include <math.h>

#ifndef _H_L3DSSKYDOMENODE
#define _H_L3DSSKYDOMENODE

namespace L3D
{
	// - - - - - - - - -
	// Classe CSkydomeNode - noeud de type skydome
	// - - - - - - - - - 
	class CSkydomeNode : public CSceneNode
	{
	public:
		//Constructeur/Destructeur
		CSkydomeNode();
		~CSkydomeNode();
		//Fonction d'affichage
		void Draw();
		void Update();
		//Fonctions spécifiques à ce noeud
		void Resize(int32 taille);
		void Tint(int color);
	public:
		int32 m_r;		//Taille du cube
		int mColor;		//Couleur du cube
	};
};

#endif